org.apache.xmlgraphics.image.writer.internal

## Class PNGImageWriter

- java.lang.Object
- - org.apache.xmlgraphics.image.writer.AbstractImageWriter
  - - org.apache.xmlgraphics.image.writer.internal.PNGImageWriter

- All Implemented Interfaces:
    ImageWriter

      public class PNGImageWriter
      extends AbstractImageWriter

  ImageWriter implementation that uses the internal PNG codec to write PNG files.
  Version:
    $Id$

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PNGImageWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMIMEType()`
    `void` | `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out)` Encodes an image and writes it to an OutputStream.
    `void` | `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out, ImageWriterParams params)` Encodes an image and writes it to an OutputStream.

    - ### Methods inherited from class org.apache.xmlgraphics.image.writer.AbstractImageWriter

      `createMultiImageWriter, isFunctional, supportsMultiImageWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PNGImageWriter

          public PNGImageWriter()

  - ### Method Detail

    - #### writeImage

          public void writeImage(java.awt.image.RenderedImage image,
                                 java.io.OutputStream out)
                          throws java.io.IOException

      Encodes an image and writes it to an OutputStream.
      Parameters:
        `image` - the image to be encoded
        `out` - the OutputStream to write to
      Throws:
        `java.io.IOException` - In case of an /IO problem

    - #### writeImage

          public void writeImage(java.awt.image.RenderedImage image,
                                 java.io.OutputStream out,
                                 ImageWriterParams params)
                          throws java.io.IOException

      Encodes an image and writes it to an OutputStream.
      Parameters:
        `image` - the image to be encoded
        `out` - the OutputStream to write to
        `params` - a parameters object to customize the encoding.
      Throws:
        `java.io.IOException` - In case of an /IO problem

    - #### getMIMEType

          public java.lang.String getMIMEType()

      Returns:
        the target MIME type supported by this ImageWriter

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.